View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000554Ecere SDKidepublic2010-08-25 05:332013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000554: ide: global settings: compilers: remove compiler will crash the ide
Descriptionide: global settings: compilers: remove compiler will crash the ide
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000364)
redj (administrator)
2010-09-04 22:36
edited on: 2010-09-05 00:34

added class_no_expansion to class CompilerConfig

compilerConfigs.Find was attempting to compare values instead of pointers and all members being private, comparison was flawed.

Added revision 53 to sdk\ide\src\settings.ec
Added revision 42 to sdk\ide\src\dialogs\GlobalSettingsDialog.ec


- Issue History
Date Modified Username Field Change
2010-08-25 05:33 redj New Issue
2010-08-25 05:33 redj Status new => assigned
2010-08-25 05:33 redj Assigned To => redj
2010-09-04 22:36 redj Status assigned => resolved
2010-09-04 22:36 redj Resolution open => fixed
2010-09-04 22:36 redj Note Added: 0000364
2010-09-05 00:34 redj Note Edited: 0000364
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker